UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive Struct Reference

`#include <dro_mon.pb-c.h>`

## Data Fields
ProtobufCMessage | base
uint64_t | data_msgs_rcvd
uint64_t | data_msg_bytes_rcvd
uint64_t | transport_topic_fragment_data_msgs_rcvd
uint64_t | transport_topic_fragment_data_msg_bytes_rcvd
uint64_t | transport_topic_fragment_data_msgs_rcvd_unknown_source
uint64_t | transport_topic_fragment_data_msg_bytes_rcvd_unknown_source
uint64_t | transport_topic_req_fragment_data_msgs_rcvd
uint64_t | transport_topic_req_fragment_data_msg_bytes_rcvd
uint64_t | transport_topic_req_fragment_data_msgs_rcvd_unknown_source
uint64_t | transport_topic_req_fragment_data_msg_bytes_rcvd_unknown_source
uint64_t | transport_topic_control_msgs_rcvd
uint64_t | transport_topic_control_msg_bytes_rcvd
uint64_t | transport_topic_control_msgs_rcvd_unknown_source
uint64_t | transport_topic_control_msg_bytes_rcvd_unknown_source
uint64_t | immediate_topic_fragment_data_msgs_rcvd
uint64_t | immediate_topic_fragment_data_msg_bytes_rcvd
uint64_t | immediate_topic_req_fragment_data_msgs_rcvd
uint64_t | immediate_topic_req_fragment_data_msg_bytes_rcvd
uint64_t | immediate_topicless_fragment_data_msgs_rcvd
uint64_t | immediate_topicless_fragment_data_msg_bytes_rcvd
uint64_t | immediate_topicless_req_fragment_data_msgs_rcvd
uint64_t | immediate_topicless_req_fragment_data_msg_bytes_rcvd
uint64_t | unicast_data_msgs_rcvd
uint64_t | unicast_data_msg_bytes_rcvd
uint64_t | unicast_data_msgs_rcvd_no_fwd
uint64_t | unicast_data_msg_bytes_rcvd_no_fwd
uint64_t | unicast_data_msgs_rcvd_unknown_fwd
uint64_t | unicast_data_msg_bytes_rcvd_unknown_fwd
uint64_t | unicast_data_msgs_rcvd_no_stream
uint64_t | unicast_data_msg_bytes_rcvd_no_stream
uint64_t | unicast_data_msgs_dropped_no_route
uint64_t | unicast_data_msg_bytes_dropped_no_route
uint64_t | cntl_msgs_rcvd
uint64_t | cntl_msg_bytes_rcvd
uint64_t | unicast_cntl_msgs_rcvd
uint64_t | unicast_cntl_msg_bytes_rcvd
uint64_t | unicast_cntl_rxreq_msgs_rcvd
uint64_t | unicast_cntl_rxreq_msg_bytes_rcvd
uint64_t | unicast_cntl_msgs_rcvd_unhandled
uint64_t | unicast_cntl_msg_bytes_rcvd_unhandled
uint64_t | unicast_cntl_msgs_rcvd_no_stream
uint64_t | unicast_cntl_msg_bytes_rcvd_no_stream
uint64_t | unicast_cntl_msgs_dropped_no_route
uint64_t | unicast_cntl_msg_bytes_dropped_no_route
uint64_t | gateway_cntl_msgs_rcvd
uint64_t | gateway_cntl_msg_bytes_rcvd

## Detailed Description

Structure containing receive statistics related to this peer portal.

## Field Documentation

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::cntl_msg_bytes_rcvd

Date message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::cntl_msgs_rcvd

Control messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::data_msg_bytes_rcvd

Date message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::data_msgs_rcvd

Data messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::gateway_cntl_msg_bytes_rcvd

DRO control message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::gateway_cntl_msgs_rcvd

DRO control messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::immediate_topic_fragment_data_msg_bytes_rcvd

Immediate topic fragment data message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::immediate_topic_fragment_data_msgs_rcvd

Immediate topic fragment data messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::immediate_topic_req_fragment_data_msg_bytes_rcvd

Immediate topic request fragment data message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::immediate_topic_req_fragment_data_msgs_rcvd

Immediate topic request fragment data messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::immediate_topicless_fragment_data_msg_bytes_rcvd

Immediate topicless fragment data message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::immediate_topicless_fragment_data_msgs_rcvd

Immediate topicless fragment data messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::immediate_topicless_req_fragment_data_msg_bytes_rcvd

Immediate topicless request fragment data message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::immediate_topicless_req_fragment_data_msgs_rcvd

Immediate topicless request fragment data messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_control_msg_bytes_rcvd

Transport topic control messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_control_msg_bytes_rcvd_unknown_source

Transport topic control messages received with an unknown source.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_control_msgs_rcvd

Transport topic control messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_control_msgs_rcvd_unknown_source

Transport topic control messages received with an unknown source.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_fragment_data_msg_bytes_rcvd

Transport topic fragment data message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_fragment_data_msg_bytes_rcvd_unknown_source

Transport topic fragment data message bytes received with an unknown source.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_fragment_data_msgs_rcvd

Transport topic fragment data messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_fragment_data_msgs_rcvd_unknown_source

Transport topic fragment data messages received with an unknown source.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_req_fragment_data_msg_bytes_rcvd

Transport topic request fragment data message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_req_fragment_data_msg_bytes_rcvd_unknown_source

Transport topic request fragment data message bytes received with an unknown source.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_req_fragment_data_msgs_rcvd

Transport topic request fragment data messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::transport_topic_req_fragment_data_msgs_rcvd_unknown_source

Transport topic request fragment data messages received with an unknown source.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_msg_bytes_dropped_no_route

Unicast control message bytes dropped no route

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_msg_bytes_rcvd

Control message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_msg_bytes_rcvd_no_stream

Unicast control message bytes received with no stream information.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_msg_bytes_rcvd_unhandled

Unicast control message bytes received but unhandled.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_msgs_dropped_no_route

Unicast control messages dropped no route

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_msgs_rcvd

Unicast control messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_msgs_rcvd_no_stream

Unicast control messages received with no stream information.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_msgs_rcvd_unhandled

Unicast control messages received but unhandled.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_rxreq_msg_bytes_rcvd

Retransmission request bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_cntl_rxreq_msgs_rcvd

Retransmission requests received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msg_bytes_dropped_no_route

Unicast data message bytes dropped no route

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msg_bytes_rcvd

Unicast data message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msg_bytes_rcvd_no_fwd

Unicast data message bytes received with no forwarding information.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msg_bytes_rcvd_no_stream

Unicast data message bytes received with no stream information.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msg_bytes_rcvd_unknown_fwd

Unicast data message bytes received with unknown forwarding information.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msgs_dropped_no_route

Unicast data messages dropped no route

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msgs_rcvd

Unicast data messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msgs_rcvd_no_fwd

Unicast data messages received with no forwarding information.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msgs_rcvd_no_stream

Unicast data messages received with no stream information.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive::unicast_data_msgs_rcvd_unknown_fwd

Unicast data messages received with unknown forwarding information.

The documentation for this struct was generated from the following file:

- dro_mon.pb-c.h